Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::transform_fn Struct Reference

## Synopsis of methods
constexpr transform_fn | transform {}

## Public Member Functions
template<typename F , typename P = identity>
constexpr auto | operator() (F fun, P proj=P{}) const
template<typename Rng , typename F , typename P = identity>
Rng | operator() (Rng &&rng, F fun, P proj=P{}) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename F , typename P = identity>

constexpr auto ranges::actions::transform_fn::operator() | ( | F | fun,
|  | P | proj = `P{}`
| ) |  | const
| constexpr

Precondition
  requires `(!range<F>)`

## ◆ operator()() [2/2]

template<typename Rng , typename F , typename P = identity>

Rng ranges::actions::transform_fn::operator() | ( | Rng && | rng,
|  | F | fun,
|  | P | proj = `P{}`
| ) |  | const

Precondition
  requires `input_range<Rng> && copy_constructible<F> && indirectly_writable< iterator_t<Rng>, indirect_result_t<F &, projected<iterator_t<Rng>, P>>>`